Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.pf.ui.util
Class WidgetSupport

    java.lang.Object
      de.grogra.pf.ui.util.WidgetSupport

All Implemented Interfaces:
  ComponentWrapper, Widget, Disposable

Direct Known Subclasses:
  WidgetAdapter, WidgetBase

    public abstract class WidgetSupport

extends java.lang.Object
implements Widget

Field Summary

Fields inherited from interface de.grogra.pf.ui.Widget
`WIDGET_VALUE_PROPERTY`

Constructor Summary
`WidgetSupport()`

Method Summary
`void` | `addPropertyChangeListener(java.beans.PropertyChangeListener listener)`
`void` | `addVetoableChangeListener(java.beans.VetoableChangeListener listener)`
`static java.beans.PropertyChangeEvent` | `convert(WidgetConversion conversion, java.beans.PropertyChangeEvent e)`
`void` | `dispose()`
`protected void` | `disposeImpl()`
`protected void` | `firePropertyChange(java.lang.Object oldValue, java.lang.Object newValue)`
`protected void` | `firePropertyChange(java.beans.PropertyChangeEvent e)`
`protected void` | `fireVetoableChange(java.lang.Object oldValue, java.lang.Object newValue)`
`protected void` | `fireVetoableChange(java.beans.PropertyChangeEvent e)`
`protected void` | `installListener(boolean hasListeners)`
`void` | `removePropertyChangeListener(java.beans.PropertyChangeListener listener)`
`void` | `removeVetoableChangeListener(java.beans.VetoableChangeListener listener)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface de.grogra.pf.ui.Widget
`setEnabled, updateValue`

Methods inherited from interface de.grogra.pf.ui.ComponentWrapper
`getComponent`

Constructor Detail

### WidgetSupport

    public WidgetSupport()

Method Detail

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener listener)

  Specified by:
    `addPropertyChangeListener` in interface `Widget`

### addVetoableChangeListener

    public void addVetoableChangeListener(java.beans.VetoableChangeListener listener)

  Specified by:
    `addVetoableChangeListener` in interface `Widget`

### convert

    public static java.beans.PropertyChangeEvent convert(WidgetConversion conversion,
                                                         java.beans.PropertyChangeEvent e)
                                                  throws java.beans.PropertyVetoException

  Throws:
    `java.beans.PropertyVetoException`

### dispose

    public final void dispose()

  Specified by:
    `dispose` in interface `Disposable`

### disposeImpl

    protected void disposeImpl()

### firePropertyChange

    protected void firePropertyChange(java.lang.Object oldValue,
                                      java.lang.Object newValue)

### firePropertyChange

    protected void firePropertyChange(java.beans.PropertyChangeEvent e)

### fireVetoableChange

    protected void fireVetoableChange(java.lang.Object oldValue,
                                      java.lang.Object newValue)
                               throws java.beans.PropertyVetoException

  Throws:
    `java.beans.PropertyVetoException`

### fireVetoableChange

    protected void fireVetoableChange(java.beans.PropertyChangeEvent e)
                               throws java.beans.PropertyVetoException

  Throws:
    `java.beans.PropertyVetoException`

### installListener

    protected void installListener(boolean hasListeners)

### removePropertyChangeListener

    public void removePropertyChangeListener(java.beans.PropertyChangeListener listener)

  Specified by:
    `removePropertyChangeListener` in interface `Widget`

### removeVetoableChangeListener

    public void removeVetoableChangeListener(java.beans.VetoableChangeListener listener)

  Specified by:
    `removeVetoableChangeListener` in interface `Widget`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD